OUTPUT_FORMAT_TEXT = "text"
OUTPUT_FORMAT_JSON = "json"


def add_default_args(parser) -> None:
    """
    Add default arguments to the parser
    :param parser: The parser (or argument group) to add the arguments to
    """
    parser.add_argument(
        "--verbose",
        default=False,
        required=False,
        action="store_true",
        help="Display debug output",
    )
    parser.add_argument(
        "-F",
        "--output-format",
        default=OUTPUT_FORMAT_TEXT,
        required=False,
        choices=[OUTPUT_FORMAT_TEXT, OUTPUT_FORMAT_JSON],
        help="Output format",
    )
