import json
import os
from typing import List

from kamikaze3.settings import RELATIONS_INFO_PATH


def get_child_apps_by_relation_type(relation_type: str) -> List[str]:
    """
    Get list of cluster apps with given relation type
    :param str relation_type: relation type to select
    :return list[dict]: a list of node names
    """
    result = []
    if not os.path.exists(RELATIONS_INFO_PATH):
        return result

    with open(RELATIONS_INFO_PATH, "r") as f:
        data = json.load(f)

    for child_relation in data["children"]:
        if child_relation["relation_type"] != relation_type:
            continue
        result.append(child_relation["child"]["app"])

    return result
