from contextlib import suppress
from subprocess import CalledProcessError, check_output

import requests

from kamikaze3.settings import USR_CNF

FLAG = "-s"


def url(flag):
    with suppress(FileNotFoundError, CalledProcessError):
        return check_output((USR_CNF, flag)).decode("utf-8").strip()


def try_send_slack_message(message, channel="#hyperspam"):
    """
    Ignore errors when sending slack message
    :param str message: The message to slack
    :param str channel: The channel to slack to
    """
    with suppress(Exception):
        send_slack_message(message, channel=channel)


def send_slack_message(message, channel="#hyperspam"):
    try:
        client = get_slack_client(FLAG)
        payload = {
            "text": message,
            "channel": channel,
            "username": "hypernode-kamikaze3",
            "icon_emoji": ":space_invader:",
        }
        headers = {"Accept": "text/plain", "Content-type": "application/json"}
        client.post(url(FLAG), json=payload, headers=headers)
    except ImproperlyConfigured:
        pass


def get_slack_client(flag):
    if not url(flag):
        raise ImproperlyConfigured
    return requests


class ImproperlyConfigured(RuntimeError):
    pass
