import os
from shutil import disk_usage


def can_vacuum_database(db_path):
    """Return True if there is enough resources available to VACUUM the sqlite DB
    :rtype: bool
    """
    required_free_space = os.stat(db_path).st_size * 2
    _, _, free_space_bytes = disk_usage(os.path.dirname(db_path))
    return free_space_bytes > required_free_space
