import socket
from contextlib import closing

SOCKET_READ_BUFFER_SIZE = 4096


class SocketClient:
    def __init__(self, socket_path):
        self.socket_path = socket_path

    def connect(self):
        client = socket.socket(socket.AF_UNIX, socket.SOCK_STREAM)
        client.connect(self.socket_path)
        return closing(client)

    def send_and_receive(self, command):
        with self.connect() as client:
            client.send((command.rstrip() + "\n").encode())
            response = client.recv(SOCKET_READ_BUFFER_SIZE)
            return response.decode()
