from argparse import ArgumentParser
from typing import List, Optional


def parse_args(args: Optional[List[str]] = None) -> bool:
    """Parse command line arguments
    :param list[str] args: list of arguments, optional
    :return: True if full stats should be shown, False otherwise
    """
    parser = ArgumentParser(description="HAProxy stats command line tool")
    parser.add_argument(
        "--full",
        action="store_true",
        help="Show full stats output",
    )
    result = parser.parse_args(args)
    return result.full
