import collections

SystemInfo = collections.namedtuple(
    "HaproxySystemInfo",
    [
        "name",
        "version",
        "release_date",
        "nbthread",
        "nbproc",
        "process_num",
        "pid",
        "uptime",
        "uptime_sec",
        "memmax_mb",
        "pool_alloc_mb",
        "pool_used_mb",
        "pool_failed",
        "ulimit_n",
        "maxsock",
        "maxconn",
        "hard_maxconn",
        "curr_conns",
        "cum_conns",
        "cum_req",
        "max_ssl_conns",
        "curr_ssl_conns",
        "cum_ssl_conns",
        "maxpipes",
        "pipes_used",
        "pipes_free",
        "conn_rate",
        "conn_rate_limit",
        "max_conn_rate",
        "sess_rate",
        "sess_rate_limit",
        "max_sess_rate",
        "ssl_rate",
        "ssl_rate_limit",
        "max_ssl_rate",
        "ssl_frontend_key_rate",
        "ssl_frontend_max_key_rate",
        "ssl_frontend_session_reuse_pct",
        "ssl_backend_key_rate",
        "ssl_backend_max_key_rate",
        "ssl_cache_lookups",
        "ssl_cache_misses",
        "compress_bps_in",
        "compress_bps_out",
        "compress_bps_rate_lim",
        "tasks",
        "run_queue",
        "idle_pct",
        "node",
        "stopping",
        "jobs",
        "unstoppable_jobs",
        "listeners",
        "active_peers",
        "connected_peers",
        "dropped_logs",
        "busy_polling",
        "failed_resolutions",
        "total_bytes_out",
        "total_splicded_bytes_out",
        "bytes_out_rate",
        "debug_commands_issued",
        "cum_recv_logs",
        "buildinfo",
        "memmax_bytes",
        "pool_alloc_bytes",
        "pool_used_bytes",
        "start_time_sec",
        "tainted",
    ],
)

ServerStats = collections.namedtuple(
    "ServerStats",
    [
        "pxname",
        "svname",
        "qcur",
        "qmax",
        "scur",
        "smax",
        "slim",
        "stot",
        "bin",
        "bout",
        "dreq",
        "dresp",
        "ereq",
        "econ",
        "eresp",
        "wretr",
        "wredis",
        "status",
        "weight",
        "act",
        "bck",
        "chkfail",
        "chkdown",
        "lastchg",
        "downtime",
        "qlimit",
        "pid",
        "iid",
        "sid",
        "throttle",
        "lbtot",
        "tracked",
        "type",
        "rate",
        "rate_lim",
        "rate_max",
        "check_status",
        "check_code",
        "check_duration",
        "hrsp_1xx",
        "hrsp_2xx",
        "hrsp_3xx",
        "hrsp_4xx",
        "hrsp_5xx",
        "hrsp_other",
        "hanafail",
        "req_rate",
        "req_rate_max",
        "req_tot",
        "cli_abrt",
        "srv_abrt",
        "comp_in",
        "comp_out",
        "comp_byp",
        "comp_rsp",
        "lastsess",
        "last_chk",
        "last_agt",
        "qtime",
        "ctime",
        "rtime",
        "ttime",
        "agent_status",
        "agent_code",
        "agent_duration",
        "check_desc",
        "agent_desc",
        "check_rise",
        "check_fall",
        "check_health",
        "agent_rise",
        "agent_fall",
        "agent_health",
        "addr",
        "cookie",
        "mode",
        "algo",
        "conn_rate",
        "conn_rate_max",
        "conn_tot",
        "intercepted",
        "dcon",
        "dses",
        "wrew",
        "connect",
        "reuse",
        "cache_lookups",
        "cache_hits",
        "srv_icur",
        "src_ilim",
        "qtime_max",
        "ctime_max",
        "rtime_max",
        "ttime_max",
        "eint",
        "idle_conn_cur",
        "safe_conn_cur",
        "used_conn_cur",
        "need_conn_est",
        "uweight",
        "agg_server_status",
        "agg_server_check_status",
        "agg_check_status",
        "ssl_sess",
        "ssl_reused_sess",
        "ssl_failed_handshake",
        "h2_headers_rcvd",
        "h2_data_rcvd",
        "h2_settings_rcvd",
        "h2_rst_stream_rcvd",
        "h2_goaway_rcvd",
        "h2_detected_conn_protocol_errors",
        "h2_detected_strm_protocol_errors",
        "h2_rst_stream_resp",
        "h2_goaway_resp",
        "h2_open_connections",
        "h2_backend_open_streams",
        "h2_total_connections",
        "h2_backend_total_streams",
        "h1_open_connections",
        "h1_open_streams",
        "h1_total_connections",
        "h1_total_streams",
        "h1_bytes_in",
        "h1_bytes_out",
        "h1_spliced_bytes_in",
        "h1_spliced_bytes_out",
    ],
)
