from kamikaze3.mysqlbackuprestore.printer import print_available_backups_for_database
from kamikaze3.mysqlbackuprestore.restore_backup import list_databases_in_latest_backup
from kamikaze3.mysqlbackuprotator.parser import parse_backups_for_database


def list_database_backups(database, bucket, config):
    """
    List available backups. Specifically for the databases

    :param str database: database name
    :param str bucket: s3 bucket name
    :param dict config: dict containing secrets needed to access s3
    :return:
    """
    databases = list_databases_in_latest_backup()

    if database not in databases:
        raise RuntimeError(
            "The given database could not be found in the backup store.\nDatabase given: %s\n"
            "Available databases from backup: %s" % (database, databases)
        )
    available_backups = parse_backups_for_database(
        bucket, database, appname=config["appname"]
    )
    print_available_backups_for_database(available_backups, database)
