import sys
from argparse import ArgumentParser

from kamikaze3.mysqlbackuprotator.backup_rotator import rotate_backups
from kamikaze3.mysqlbackuprotator.logger import get_logger

log = get_logger("hypernode.mysql.backuprotator")


def process_args():
    parser = ArgumentParser(
        description="Remove old database backups for this app at the object store."
        "Also purges old binlogs which are no longer needed!"
    )
    parser.parse_args()


def main():
    process_args()
    try:
        rotate_backups()
    except Exception:
        log.exception("An error occurred during database backup rotation")
        sys.exit(1)


if __name__ == "__main__":
    main()
