from calendar import SUNDAY


class Retention(object):
    WEEKLY_BACKUP_PREFERRED_WEEKDAY = SUNDAY
    DAILY_PREFERED_HOUR = 0o01  # 1 am UTC
    DAILY_PREFERED_MINS = 0o00  # at the full hour

    def __init__(
        self,
        hourly_interval=0,
        daily_interval=0,
        weekly_interval=0,
        hourly_amount=0,
        daily_amount=0,
        weekly_amount=0,
    ):
        self.hourly_interval = hourly_interval  # hours
        self.hourly_amount = hourly_amount
        self.daily_interval = daily_interval  # hours
        self.daily_amount = daily_amount
        self.weekly_interval = weekly_interval  # hours
        self.weekly_amount = weekly_amount

    def get_daily_offset(self):
        """
        calculates the start offset for daily backups

        returns:
            daily backup start offset in hours
            0 if there is no offset
        """

        return self.hourly_amount * self.hourly_interval

    def get_weekly_offset(self):
        """
        calculates the start offset for weekly backups

        returns:
            weekly backup start offset in hours
            0 if there is no offset
        """

        return self.get_daily_offset() + (self.daily_amount * self.daily_interval)

    def total_backup_count(self):
        return self.hourly_amount + self.daily_amount + self.weekly_amount
