from kamikaze3.mysqlbackuprotator.retention import Retention

# Logger settings
LOG_FILE = "/var/log/hypernode-mysql-backup-rotator.log"

BACKUP_RETENTION = Retention(
    hourly_interval=3,
    hourly_amount=0,
    daily_interval=24,
    daily_amount=7,
    weekly_interval=168,
    weekly_amount=5,
)

# Maximum difference in days to match a backup. given a target datetime,
# a match will only be found if difference is lower than this setting
MAX_MATCH_DIFFERENCE = 30  # days

# regexes to parse data
DB_NAME_REGEX = "[a-zA-Z0-9_.!-]+"
DB_BACKUP_REGEX = (
    r"^{}_(\d{{4}}-\d{{2}}-\d{{2}}_\d{{2}}-\d{{2}}-\d{{2}})_UTC\.sql\.gz$".format(
        DB_NAME_REGEX
    )
)

VARS_FILE = "/etc/hypernode/mysqlbackups.json"  # contains s3 credentials and appname

S3_MYSQL_BACKUP_FOLDER = "{appname}_backup_user/mysqlbackups/"  # backup location

MAIL_EXCEPTION_SENDER = "noreply@hypernode.com"
MAIL_EXCEPTION_RECIPIENT = ["hypernode@byte.nl"]
