from dataclasses import dataclass, field
from typing import Set


@dataclass
class MySQLUser:
    name: str
    cnf_file_path: str = ""
    hosts: Set[str] = field(default_factory=set)


ACCESS_USERS = (
    MySQLUser("root", "/root/.my.cnf", {"127.0.0.1", "localhost"}),
    MySQLUser("debian-sys-maint", "/etc/mysql/debian.cnf", {"127.0.0.1", "localhost"}),
    MySQLUser("app", "/data/web/.my.cnf", {"%"}),
)

EXPECTED_SUPERUSER_PERMISSIONS = (
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "Y",
    "N",
)

GET_ACTUAL_USER_PERMISSIONS = (
    "SELECT Select_priv, Insert_priv, Update_priv, Delete_priv, Create_priv, Drop_priv, Reload_priv, Shutdown_priv, "
    "Process_priv, File_priv, Grant_priv, References_priv, Index_priv, Alter_priv, Show_db_priv, Super_priv,"
    "Create_tmp_table_priv, Lock_tables_priv, Execute_priv, Repl_slave_priv, Repl_client_priv, Create_view_priv, "
    "Show_view_priv, Create_routine_priv, Alter_routine_priv, Create_user_priv, Event_priv, Trigger_priv, "
    "Create_tablespace_priv, password_expired FROM user WHERE user = %s"
)

SET_CORRECT_SUPERUSER_PERMISSIONS = (
    'UPDATE user SET Select_priv="Y", Insert_priv="Y", Update_priv="Y", Delete_priv="Y", Create_priv="Y", '
    'Drop_priv="Y", Reload_priv="Y", Shutdown_priv="Y", Process_priv="Y", File_priv="Y", Grant_priv="Y", '
    'References_priv="Y", Index_priv="Y", Alter_priv="Y", Show_db_priv="Y", Super_priv="Y", '
    'Create_tmp_table_priv="Y", Lock_tables_priv="Y", Execute_priv="Y", Repl_slave_priv="Y", Repl_client_priv="Y", '
    'Create_view_priv="Y", Show_view_priv="Y", Create_routine_priv="Y", Alter_routine_priv="Y", '
    'Create_user_priv="Y", Event_priv="Y", Trigger_priv="Y", Create_tablespace_priv="Y", password_expired="N" '
    "WHERE user = %s"
)
