from logging import getLogger

from kamikaze3.cluster.utils import is_part_of_cluster
from kamikaze3.common.api import HttpApiClient
from kamikaze3.common.env import get_app_name
from kamikaze3.event_listener.settings import EVENT_RELOAD_HMV
from kamikaze3.privileged.manage_vhosts import program_name

logger = getLogger(program_name)

APP_NATS_API_ENDPOINT = "v2/nats/{}/{}"


def send_event_if_necessary():
    if is_part_of_cluster():
        logger.info(f"Propagating hmv reload event to cluster")
        url = APP_NATS_API_ENDPOINT.format(get_app_name(), EVENT_RELOAD_HMV)
        api_client = HttpApiClient()
        api_client.post(url, params={"propagate_to_cluster": True})
