import os
from configparser import ConfigParser

from kamikaze3.privileged.manage_vhosts.settings import SYSTEM_CONFIG_FILE


class SystemConfig:
    def __init__(self):
        self.ini = ConfigParser()
        if os.path.exists(SYSTEM_CONFIG_FILE):
            self.ini.read(SYSTEM_CONFIG_FILE)

    def get_bool(self, section, key, default: bool = False):
        return (
            self.ini.getboolean(section, key, fallback=default)
            if self.ini.has_section(section)
            else default
        )
