from contextlib import suppress

from kamikaze3.common.slack import ImproperlyConfigured, get_slack_client, url

FLAG = "-u"


def try_send_slack_security_message(message, channel="#hyperspam"):
    """
    Ignore errors when sending slack security message
    :param str message: The message to slack
    :param str channel: The channel to slack to
    """
    with suppress(Exception):
        send_slack_security_message(message, channel=channel)


def send_slack_security_message(message, channel="#hyperspam"):
    try:
        client = get_slack_client(FLAG)
        payload = {
            "text": message,
            "channel": channel,
            "username": "hypernode-kamikaze3-security",
            "icon_emoji": ":unlock:",
        }
        headers = {"Accept": "text/plain", "Content-type": "application/json"}
        client.post(url(FLAG), json=payload, headers=headers)
    except ImproperlyConfigured:
        pass
