from jinja2 import Environment, FileSystemLoader

TEMPLATE_ENVIRONMENT = Environment(
    autoescape=False, loader=FileSystemLoader("/"), trim_blocks=False
)


def render_template(template_file: str, config: dict) -> str:
    """
    Render a jinja template by filling in variables from the given config
    :param str template_file: Jinja template filepath
    :param dict config: Configuration used to fill in the template variables
    :rtype: str
    """
    return TEMPLATE_ENVIRONMENT.get_template(template_file).render(config)
