def setup_attach_backup_parsing(sub_parsers):
    settings_usage = (
        "hypernode-systemctl attach_backup\n\n"
        "Attaches the given snapshot backup "
        "on /data/backup/.\nThe attached backup volume "
        "will be detached and removed after 24 hours.\n"
    )
    attach_backup_parser = sub_parsers.add_parser("attach_backup", usage=settings_usage)
    backup_id_group = attach_backup_parser.add_mutually_exclusive_group(required=False)
    backup_id_group.add_argument(
        "positional_backup_id",
        nargs="?",
        help="ID of the backup to attach. Use 'hypernode-systemctl list_backups for a list of backups that you are "
        "able to attach. If not specified, the latest backup will be attached.",
    )
    backup_id_group.add_argument(
        "--backup-id",
        dest="deprecated_backup_id",
        help="Deprecated backup ID field. Please use the positional argument instead.",
    )
