import requests

from kamikaze3.common.api import (
    HYPERNODE_API_URL,
    SYSTEMCTL_USER_AGENT,
    get_hypernode_api_token,
    handle_api_response,
)
from kamikaze3.common.env import get_app_name


def block_attack(attack_name):
    """
    Block an attack
    :param str attack_name: The name of the attack to block
    :return dict response_json: The json response as a dict
    """
    response = requests.post(
        HYPERNODE_API_URL + "/v2/app/{}/block_attack/".format(get_app_name()),
        data={"attack_name": attack_name},
        headers={
            "Authorization": "Token {}".format(get_hypernode_api_token()),
            "User-Agent": SYSTEMCTL_USER_AGENT,
        },
    )
    handle_api_response(
        response,
        success_message="Block attack job posted, see hypernode-log (or livelog) for job progress",
    )
